<?php
// START APPOINTMENT SECTION 
$wp_customize->add_section(
	'luzuk_them_appointment_section',
	array(
		'title'         => __( 'Contact Section', 'luzuk-premium' ), 
		'panel'   => 'luzuk_them_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
$wp_customize->add_setting(
	'luzuk_them_appointment_section_disable',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_them_Switch_Control(
		$wp_customize,
		'luzuk_them_appointment_section_disable',
		array(
			'settings'      => 'luzuk_them_appointment_section_disable',
			'section'       => 'luzuk_them_appointment_section',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
); 
backgroundManager($wp_customize, 'appointment', 'luzuk_them_appointment_section', $color='#ffffff');

lzCustomLable($wp_customize, 'luzuk_them_sec_appscesectionpadding', 'luzuk_them_appointment_section', 'Complete Section Padding:');

$wp_customize->add_setting(
    'sec_appintmentsectionTpadding', 
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '7em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionTpadding',
    array(
        'settings'      => 'sec_appintmentsectionTpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '9em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionBpadding',
    array(
        'settings'      => 'sec_appintmentsectionBpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_appintmentsectionLpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionLpadding',
    array(
        'settings'      => 'sec_appintmentsectionLpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionRpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);

$wp_customize->add_control(
    'sec_appintmentsectionRpadding',
    array(
        'settings'      => 'sec_appintmentsectionRpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Appointment Section Right Padding', 'lz-fitness-premium' )
    )
);



lzCustomLable($wp_customize, 'luzuk_them_contactbgimagellbl', 'luzuk_them_appointment_section', 'Contact Box Background Image:');


// right bg img
 backgroundManager($wp_customize, 'contact_centerimg', 'luzuk_them_appointment_section', $color='#fff', get_template_directory_uri().'/images/contactbg.jpg', 'color');




lzCustomLable($wp_customize, 'luzuk_them_slideropacilty', 'luzuk_them_appointment_section', 'Set Contact Box Background Image overlay opacity &  Box overlay Background color:');


$wp_customize->add_setting(
    'pages_contactopacity',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '0.9', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'pages_contactopacity',
    array(
        'settings'      => 'pages_contactopacity',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Add Opacity Here:', 'lz-fitness-premium' )
    )
);
addColorPalatOption($wp_customize, 'contact_overlaybgsColor', 'luzuk_them_appointment_section', 'Contact Box Overlay Background Color', '#333');
 lzCustomLable($wp_customize, 'luzuk_them_sec_appscesectionfrmboxpadding', 'luzuk_them_appointment_section', 'Set Padding For Center Image Box:');


$wp_customize->add_setting(
    'sec_appintmentsectionformboxTpadding', 
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxTpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxTpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionformboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '5em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxBpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxBpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_appintmentsectionformboxLpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '4em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxLpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxLpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_appintmentsectionformboxRpadding',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '2em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_appintmentsectionformboxRpadding',
    array(
        'settings'      => 'sec_appintmentsectionformboxRpadding',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Form Box Right Padding', 'lz-fitness-premium' )
    )
);



$wp_customize->add_setting(
	'luzuk_them_appointment_tag_title',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Get in Touch', 'luzuk-premium' ) 
	)
);
$wp_customize->add_control(
	'luzuk_them_appointment_tag_title',
	array(
		'settings'      => 'luzuk_them_appointment_tag_title',
		'section'       => 'luzuk_them_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk-premium' )
	)
);
addColorPalatOption($wp_customize, 'luzuk_them_appointment_formTitleColor', 'luzuk_them_appointment_section', 'Form Box Title color', '#ffffff');




$wp_customize->add_setting(
	'luzuk_them_appointment_form_lbl',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
	)
);

$wp_customize->add_control(
	new luzuk_them_Customize_Heading(
		$wp_customize,
		'luzuk_them_appointment_form_lbl',
		array(
			'settings'      => 'luzuk_them_appointment_form_lbl',
			'section'       => 'luzuk_them_appointment_section',
			'label'         => __( 'Add form shortcode', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'luzuk_them_appointment_form_shortcode',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_appointment_form_shortcode',
	array(
		'settings'      => 'luzuk_them_appointment_form_shortcode',
		'section'       => 'luzuk_them_appointment_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);




addColorPalatOption($wp_customize, 'appointment_formbgbackColor', 'luzuk_them_appointment_section', 'Form Box Background color', '#f76953'); 

addColorPalatOption($wp_customize, 'luzuk_them_appointment_formTextColor', 'luzuk_them_appointment_section', 'Form text & placeholder text color', '#ffffff'); 

addColorPalatOption($wp_customize, 'luzuk_them_appointment_labelColor', 'luzuk_them_appointment_section', 'Form label Text color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_appointment_formborderColor', 'luzuk_them_appointment_section', 'Form text fields Border color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_appointment_btntextColor', 'luzuk_them_appointment_section', 'Form button text color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_them_appointment_btntexthoverColor', 'luzuk_them_appointment_section', 'Form button text hover color', '#000000');

addColorPalatOption($wp_customize, 'luzuk_them_appointment_btnbgColor', 'luzuk_them_appointment_section', 'Form button background color', '#000000'); 
addColorPalatOption($wp_customize, 'luzuk_them_appointment_btnbghoverColor', 'luzuk_them_appointment_section', 'Form button background hover color', '#ffffff');




// location
$wp_customize->add_setting(
    'luzuk_them_contact_location',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'Alquam erat volut.Aliqum erat volutpat', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_them_contact_location',
    array(
        'settings'      => 'luzuk_them_contact_location',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'textarea',
        'label'         => __( 'Location', 'Luzuk Premium' )
    )
);

//email
$wp_customize->add_setting(
    'luzuk_them_contact_emailid',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( 'info@youreemailid.com', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_them_contact_emailid',
    array(
        'settings'      => 'luzuk_them_contact_emailid',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Email id', 'Luzuk Premium' )
    )
);

///
$wp_customize->add_setting(
    'luzuk_them_contact_phone',
    array(
        'sanitize_callback' => 'luzuk_them_sanitize_text',
        'default'           => __( '+91-0101010101', 'Luzuk Premium' ) 
    )
);
$wp_customize->add_control(
    'luzuk_them_contact_phone',
    array(
        'settings'      => 'luzuk_them_contact_phone',
        'section'       => 'luzuk_them_appointment_section',
        'type'          => 'text',
        'label'         => __( 'Phone No.', 'Luzuk Premium' )
    )
);


addColorPalatOption($wp_customize, 'appointment_contatextColor', 'luzuk_them_appointment_section', 'Contact Text color', '#ffffff');

addColorPalatOption($wp_customize, 'appointment_contatextemailhoverColor', 'luzuk_them_appointment_section', 'Contact Email Hover color', '#f76953');

addColorPalatOption($wp_customize, 'appointment_contatexiconColor', 'luzuk_them_appointment_section', 'Contact Icon color', '#ffffff');


addColorPalatOption($wp_customize, 'appointment_contatexiconborderColor', 'luzuk_them_appointment_section', 'Contact Icon Border color', '#ffffff');